#!/bin/bash -e

HASTYPESCRIPT=${HASTYPESCRIPT:-false}

echo "starting script ${NEXUS_DEPLOY_USERNAME}"

#export token for use by npmrc file
export spot_npm_config__auth=`echo -n "${NEXUS_DEPLOY_PASSWORD}" | openssl base64`


#install dependency and compile
npm install .
if [[ $HASTYPESCRIPT = true ]]; then
    tsc -p .
fi

#set right version
PACKAGE_VERSION=$(node -p -e "require('./package.json').version")
echo $PACKAGE_VERSION

npm --no-git-tag-version version "${PACKAGE_VERSION}-${BUILDKITE_BUILD_NUMBER}"

#generate manifest required for package to work
npm install -g @oclif/dev-cli
echo "generating manifest"
oclif-dev manifest

#publish package
npm publish --loglevel verbose
